document.addEventListener('DOMContentLoaded', () => {
  // Sample data - replace with real data from backend
  const wallet = {
    balance: 50000.00,
    growthRate: 12.5,
    currentTrades: [
      { id: 1, asset: "AAPL", amount: 1000, profit: 50 },
      { id: 2, asset: "GOOGL", amount: 2000, profit: -30 },
      { id: 3, asset: "MSFT", amount: 1500, profit: 75 }
    ],
    tradeHistory: [
      { id: 1, asset: "TSLA", amount: 3000, profit: 150, date: "2023-01-01" },
      { id: 2, asset: "AMZN", amount: 2500, profit: -80, date: "2023-01-02" }
    ]
  };

  // Update dashboard
  document.getElementById('currentBalance').textContent = 
    new Intl.NumberFormat('ar-SA', { style: 'currency', currency: 'SAR' })
    .format(wallet.balance);
  
  document.getElementById('growthRate').textContent = 
    `${wallet.growthRate}%`;

  // Render current trades
  const tradesContainer = document.getElementById('currentTrades');
  wallet.currentTrades.forEach(trade => {
    const tradeEl = document.createElement('div');
    tradeEl.className = `trade-card ${trade.profit >= 0 ? 'profit' : 'loss'}`;
    tradeEl.innerHTML = `
      <h3>${trade.asset}</h3>
      <p>المبلغ: ${trade.amount}</p>
      <p>الربح: ${trade.profit}%</p>
    `;
    tradesContainer.appendChild(tradeEl);
  });

  // Render trade history
  const historyContainer = document.getElementById('tradeHistory');
  wallet.tradeHistory.forEach(trade => {
    const historyEl = document.createElement('div');
    historyEl.className = 'history-item';
    historyEl.innerHTML = `
      <h4>${trade.asset}</h4>
      <p>المبلغ: ${trade.amount}</p>
      <p>الربح: ${trade.profit}%</p>
      <p>التاريخ: ${trade.date}</p>
    `;
    historyContainer.appendChild(historyEl);
  });
});